import Vue from 'vue';
import Vuex from 'vuex';
import trainplan from '@frame/store/trainplan';
import teaPlan from '@frame/store/tea-plan';
import director from '@frame/store/director';
import classes from '@frame/store/classes';
import student from '@frame/store/student';
import login from '@frame/store/login';
import setting from '@frame/store/setting';
import trainBatch from '@frame/store/train-plan-year';
import lesson from '@frame/store/lesson';
import subject from '@frame/store/subject';
import teacher from '@frame/store/teacher';
import util from '@frame/store/util';
import location from '@frame/store/location';
import dept from '@frame/store/dept';
import uploadtask from '@frame/store/uploadtask';
import task from '@frame/store/task';
import teaplan from '@frame/store/tea-plan';
import liveroom from '@frame/store/liveroom';
import answerapply from '@frame/store/answerapply';
import chatroom from '@frame/store/chatroom';
import answerchat from '@frame/store/answerchat';
import trainvideo from '@frame/store/trainvideo';
import group from '@frame/store/group';
import gensign from '@frame/store/gensign';
import personalscore from '@frame/store/personalscore';
import groupscore from '@frame/store/groupscore';
import classtype from '@frame/store/classtype';
import userMenu from '@frame/store/auth/userMenu';
import * as ustate from '@frame/store/user/state';
import * as umutations from '@frame/store/user/mutations';
import * as dostate from '@frame/store/setting/state';
import * as domutations from '@frame/store/setting/mutations';
import nation from '@frame/store/nation';
Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate, ...dostate },
  mutations: { ...umutations, ...domutations },
  actions: {},
  getters: {
    topOptions: state => {
      return state.defaultOption;
    },
  },
  modules: {
    trainplan,
    teaPlan,
    login,
    classes,
    student,
    director,
    trainBatch,
    setting,
    lesson,
    util,
    subject,
    teacher,
    location,
    dept,
    uploadtask,
    task,
    teaplan,
    liveroom,
    answerapply,
    chatroom,
    answerchat,
    trainvideo,
    group,
    personalscore,
    groupscore,
    gensign,
    nation,
    classtype,
    userMenu,
  },
});
