const path = require('path');
const frame = path.resolve(__dirname, '../frame');
const center = path.resolve(__dirname, '../train-center');
const ip = 'http://127.0.0.1';
module.exports = {
  publicPath: process.env.NODE_ENV === 'development' ? '/' : '/teacher',
  outputDir: 'teacher',
  configureWebpack: {
    // externals: {
    //   'element-ui': 'Element',
    //   vue: 'Vue',
    // },
    // 开发生产共同配置
    resolve: {
      alias: {
        '@': path.resolve(__dirname, './src'),
        '@c': path.resolve(__dirname, './src/components'),
        '@a': path.resolve(__dirname, './src/assets'),
        '@frame': frame,
        '@center': center,
      },
    },
  },
  devServer: {
    port: '8004',
    //api地址前缀
    proxy: {
      '/api/train': {
        target: ip, ///api/train http://free.liaoningdoupo.com http://jytz.jilinjobs.cn
        changeOrigin: true,
        ws: true,
      },
      '/api/auth': {
        target: ip, ///api/train http://free.liaoningdoupo.com http://jytz.jilinjobs.cn
        changeOrigin: true,
        ws: true,
      },
      '/api/mission': {
        target: ip, ///api/train http://free.liaoningdoupo.com http://jytz.jilinjobs.cn
        changeOrigin: true,
        ws: true,
      },

      '/files': {
        target: 'http://jytz.jilinjobs.cn',
        changeOrigin: true,
        ws: true,
      },
      '/ws': {
        target: 'http://jytz.jilinjobs.cn', //http://free.liaoningdoupo.com
        ws: true,
      },
      '/weixin': {
        target: 'http://jytz.jilinjobs.cn',
        changeOrigin: true,
        ws: true,
      },
    },
  },
};
